<?php
function kbxhd_bot_admin_ui(){
    $action="edit.php?post_type=kbx_knowledgebase&page=kbx-bot";
    ?>
    <div class="kbx-bot-wrap wrap">
        <div class="icon32"><br></div>
        <form action="<?php echo esc_attr($action); ?>" method="POST" id="kbx-bot-admin-form" enctype="multipart/form-data">
            <div class="form-container">
                <h2><?php _e('HelpDesk Bot Control Panel', 'kbx-qc'); ?></h2>
                <section class="kbx-bot-tab-container-inner">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="form-group">
                            <p class="qc-opt-title-font"><?php _e('Floating Articles Searching and Bot Option ', 'kbx-qc'); ?></p>
                            <select class="form-control" id="kbx_floating_search_bot" name="kbx_floating_search_bot">
                                <option value="float" <?php if (get_option('kbx_floating_search_bot') == 'float') { echo "selected";}?>><?php _e('Floating Search Widget', 'kbx-qc'); ?></option>
                                <option value="bot" <?php if (get_option('kbx_floating_search_bot') == 'bot') { echo "selected";}?>><?php _e('Knowledgebase HelpDesk Bot', 'kbx-qc'); ?></option>

                                <!-- <option value="wp-boat" <?php if (get_option('kbx_floating_search_bot') == 'wp-boat') { echo "selected";}?>><?php _e('KBX WP ChatBot', 'kbx-qc'); ?></option> -->
                            </select>
                        </div>
                    </div>
                </div>
                </section>

                <section class="kbx-bot-tab-container-inner" id="kbx-floating-search-settings-container">
                    <div class="row">
                        <div class="col-xs-9 col-xs-offset-3">
                            <p class="qc-opt-title-font"> <?php _e('Disable Floating Search Widget', 'kbx-qc'); ?> </p>
                            <div class="cxsc-settings-blocks">
                                <input value="1" id="kbx_floating_search_on" type="checkbox"
                                       name="kbx_floating_search_on" <?php echo(get_option('kbx_floating_search_on') == 1 ? 'checked' : ''); ?>>
                                <label for="kbx_floating_search_on"><?php esc_html_e('Enable Floating Search Widget for flexible searching in the frontend.', 'kbx-qc'); ?> </label>
                            </div>
                        </div>
                    </div>
                    <br>
                    <br>
                </section>

                <section class="kbx-bot-tab-container-inner" id="kbx-bot-settings-container">
                    <div class="row">
                        <div class="col-xs-9 col-xs-offset-3">
                            <div class="cxsc-settings-blocks">
                                <h2 class="item-description__wpbot-chatbot-features">WPBot ChatBot Features <a href="https://www.quantumcloud.com/products/knowledgebase-helpdesk/" style="text-decoration: none; font-size: 20px; border: none !important;" target="_blank"><span style="font-weight: bold; color: #FCB214">(Pro Feature)</span> </a></h2>
                                <ul>
                                    <li>Advanced, fast <strong>Site search of your</strong> pages and posts to answer user questions</li>
                                    <li>Google Artificial Intelligence, Machine Learning or <strong>AI Engine with DialogFlow</strong>
                                    </li>
                                    <li>
                                        <strong>Natural Language Processing</strong> through Google’s Dialog Flow</li>
                                    <li>
                                        <strong>Automatically </strong>supports <strong>Custom Intents and Responses</strong> You Create in Dialog Flow</li>
                                    <li>Automatically supports <strong>Follow Up Intents</strong> and step by step Question Answers through Dialogflow custom Intents</li>
                                    <li>Automatically supports <strong>Rich Message Response &amp; Card Responses</strong> from Dialogflow as FaceBook messenger app</li>
                                    <li>
                                        <strong>Automatically</strong> supports images (jpgs, <strong>animated gifs</strong>) and Youtube Videos from DialogFlow Intent Responses</li>
                                    <li>Automatically supports images (jpgs, animated gifs) and <strong>Youtube Videos</strong> from ChatBot Language Settings Responses</li>
                                    <li>Simply <strong>paste</strong> any image (jpg or gif) or youtube video’s full link</li>
                                    <li>Add images from your WordPress media library or Giphy animated gif images easily and quickly from the ChatBot language center with the <strong>floating image options</strong>
                                    </li>
                                    <li>Fine tune WPBot icon position by <strong>pixels</strong> or <strong>percentages</strong>
                                    </li>
                                    <li>Option to<strong> choose on which pages WPBot should load</strong>
                                    </li>
                                    <li>Option to <strong>Auto Open Chatbot Window For First Time</strong> Page Load</li>
                                    <li>Ability to <strong>click a text link</strong> to <strong>open the ChatBot</strong> using shortcode</li>
                                    <li>Upload<strong> custom ChatBot</strong> icon</li>
                                    <li>Upload custom <strong>Agent icon</strong>
                                    </li>
                                    <li>Choose from<strong> 5 design templates</strong> for ChatBot interface</li>
                                    <li>Option to <strong>disable WPBot on Mobile Devices</strong>
                                    </li>
                                    <li>Option to <strong>Disable Persistent</strong> Chat History across pages</li>
                                    <li>Option to <strong>Enable/Disable</strong> Site Search, Call Me, eMail, FAQ, newsletter subscription etc. ready intents</li>
                                    <li>
                                        <strong>Show or Hide</strong> Opening Notifications</li>
                                    <li>Option to <strong>Skip Greeting</strong> and Asking Name and eMail</li>
                                    <li>Option to Skip Greeting for <strong>logged in users only</strong>.</li>
                                    <li>Option to enable/disable<strong> asking for eMail</strong> address after asking name</li>
                                    <li>Upload your own <strong>background image</strong> for chatbot</li>
                                    <li>Create <strong>FAQ area</strong> with multiple questions and answers (supports html)</li>
                                    <li>Add <strong>video in Support area</strong> just by pasting Youtube link</li>
                                    <li>Add<strong> multiple site notifications</strong> to show above the ChatBot icon</li>
                                    <li>
                                        <strong>Quick access</strong> to Support ares of the ChatBot</li>
                                    <li>
                                        <strong>Quick Help for commands</strong> that can be used in-chat</li>
                                    <li>
                                        <strong>Admin customizable</strong> chat commands</li>
                                    <li>
                                        <strong>Stop Words</strong> dictionary included and editable by admin. Bot will automatically exclude stop words from search criteria and chat commands</li>
                                    <li>
                                        <strong>Advanced Language Center t</strong>o edit and change every WPBot responses, System languages, stop words and info messages!</li>
                                    <li>Add <strong>multiple variations</strong> of <strong>ChatBot responses</strong> for each node. They will be used randomly and give an appearance of more human like responses.</li>
                                    <li>
                                        <strong>Persistent chat history</strong> over shopper session on website</li>
                                    <li>Option to <strong>Disable persistent chat history</strong> (Chat history is reset in every page)</li>
                                    <li>Remember chat history in browser local storage and <strong>greet returning users</strong>
                                    </li>
                                    <li>
                                        <strong>Shortcode for WPBot on a Page or post</strong> (without floating icon)<strong>
                                </strong>
                                    </li>
                                    <li>Option to Open pages in new or same window from search results</li>
                                    <li>
                                        <strong>Any Language</strong> support. mo/pot file included so you can translate to any language</li>
                                    <li><strong>RTL support</strong></li>
                                    <li>Light Integration with<strong> FaceBook Messenger for Live Chat</strong>
                                    </li>
                                    <li>Light Integration with <strong>Skype, WhatsApp, Viber, Web Link &amp; Phone Call</strong>
                                    </li>
                                    <li>
                                        <strong>Call me back</strong> – customer leaves phone number.</li>
                                    <li>Collect <strong>Customer Feedback</strong> by email option.</li>
                                    <li>Collect <strong>User eMail </strong>for <strong>newsletter Subscription
                                </strong>
                                    </li>
                                    <li>
                                        <strong>GDPR</strong> compliance (message with link to Privacy page)</li>
                                    <li>
                                        <strong>Unsubscibe</strong> Command</li>
                                    <li>Advanced <strong>Name Recognition</strong>
                                    </li>
                                    <li><strong>Sample DialogFlow Agent for quick import</strong></li>
                                    <li><strong>Prompt User for eMail subscription with Retargeting Nessage</strong></li>
                                    <li>Export <strong>eMail Addresses as CSV</strong>
                                    </li>
                                    <li>Onsite<strong> retargeting and remarketing</strong> to increase customer conversion rate.</li>
                                    <li>Enable/Disable <strong>retargeting message sound</strong>
                                    </li>
                                    <li>Out of focus <strong>Browser tab flashing</strong> with custom message for retargeting messages</li>
                                    <li>Show <strong>retargeting</strong> messages for customer on <strong>Exit Intent, After Scrolling Down “X” Percent, Or after “X” seconds.</strong>
                                    </li>
                                    <li>
                                        <strong>Custom Background color</strong> for retargeting messages.</li>
                                    <li>Connect<strong> retargeting messages with any custom intent</strong> created in DialogFlow</li>
                                    <li>
                                        <strong>Schedule day and time when WPBot will run</strong>. Make WPBot work with other Live chat software.</li>
                                    <li>
                                        <strong>Embed code to use the ChatBot</strong> on any other website including static HTML website</li>
                                    <li>
                                        <strong>Integrate with 3rd party Live Chat services</strong> that provides a stand alone chat page link like Tawk.to</li>
                                    <li>Option to hide the support and other icons from the ChatBot footer</li>

                                </ul>
                            </div>
                        </div>
                    </div>
                </section>

                <section class="kbx-bot-tab-container-inner">
                    <div class="row">
                        <div class="text-left col-sm-3 col-sm-offset-3">
                            <input type="button" class="btn btn-warning submit-button"
                                   id="kbx-bot-reset-option"
                                   value="<?php _e('Reset all options to Default', 'kbx_bot'); ?>"/>
                        </div>
                        <div class="text-right col-sm-6">
                            <input type="submit" class="btn btn-primary submit-button" name="submit"
                                   id="submit" value="<?php _e('Save Settings', 'kbx_bot'); ?>"/>
                        </div>
                    </div>
                </section>
            </div>


            <?php wp_nonce_field('kbx_bot'); ?>
        </form>


    </div>
<?php
}

 function kbx_bot_dynamic_multi_option($options = array(), $option_name = "", $option_text = "")
{
    ?>
    <p class="qc-opt-title-font"><?php echo $option_text; ?> </p>
    <div class="kbx-bot-lng-items">
        <?php
        if (is_array($options) && count($options) > 0) {
            foreach ($options as $key => $value) {
                ?>
                <div class="row" class="kbx-bot-lng-item">
                    <div class="col-xs-10">
                        <input type="text"
                               class="form-control qc-opt-dcs-font"
                               name="<?php echo $option_name; ?>[]"
                               value="<?php echo esc_attr(stripslashes($value)); ?>">
                    </div>
                    <div class="col-xs-2">
                        <button type="button" class="btn btn-danger btn-sm kbx-bot-lng-item-remove"> <span class="glyphicon glyphicon-remove"></span> </button>
                    </div>
                </div>
                <?php
            }
        } else { ?>
            <div class="row" class="kbx-bot-lng-item">
                <div class="col-xs-10">
                    <input type="text"
                           class="form-control qc-opt-dcs-font"
                           name="<?php echo $option_name; ?>[]"
                           value="<?php echo $option_text; ?>">
                </div>
                <div class="col-xs-2">
                    <span class="kbx-bot-lng-item-remove">X</span>
                </div>
            </div>
        <?php } ?>
    </div>
    <div class="row">
        <div class="col-sm-2 col-sm-offset-10">
            <button type="button" class="btn btn-success btn-sm kbx-bot-lng-item-add"> <span class="glyphicon glyphicon-plus"></span> </button>
        </div>
    </div>

    <?php
}