<?php
/**
 * Register a custom help menu page.
 */
function kbxhd_bot_admin_menu(){

    $menu_slug = 'edit.php?post_type=kbx_knowledgebase';

    add_submenu_page(
        $menu_slug,
        __( 'Knowledgebase Bot', 'kbx-qc' ),
        __( 'Bot Settings', 'kbx-qc' ),
        'manage_options',
        'kbx-bot',
        'kbxhd_bot_admin_ui'
    );

}
add_action( 'admin_menu', 'kbxhd_bot_admin_menu' );


if ((!empty($_GET["page"])) && ($_GET["page"] == "kbx-bot")) {

    add_action('admin_init','kbx_bot_save_options');
}

function kbx_bot_save_options()
{
    if (isset($_POST['_wpnonce']) && $_POST['_wpnonce']) {


        wp_verify_nonce($_POST['_wpnonce'], 'kbx_bot');


        // Check if the form is submitted or not

        if (isset($_POST['submit'])) {
            //bot options
            if(isset($_POST['kbx_floating_search_on'])){
                $kbx_floating_search_on = $_POST['kbx_floating_search_on'];
            }else{
                $kbx_floating_search_on="";
            }

            update_option('kbx_floating_search_on', sanitize_text_field($kbx_floating_search_on));
        }
    }
}
